import { SvelteComponentTyped } from "svelte";
import type { Extension } from '@codemirror/state';
declare const __propDef: {
    props: {
        extensions?: Extension[] | undefined;
        height?: string | undefined;
        minHeight?: string | undefined;
        maxHeight?: string | undefined;
        width?: string | undefined;
        minWidth?: string | undefined;
        maxWidth?: string | undefined;
        editable?: boolean | undefined;
        readOnly?: boolean | undefined;
        autoFocus?: boolean | undefined;
        theme?: Extension | undefined;
        basicSetup?: boolean | undefined;
        initialValue?: string | undefined;
        currentValue?: string | undefined;
        placeholder?: string | undefined;
        /**
           * This will reset the CodeMirror view to the provided state, which will trigger a initialisation of the extensions provided.
           * This should only be used when you need to completely reset the state, rather than update the existing state.
           *
           * @param value - The content string you want to update the state with
           */ forceUpdateValue?: ((value: string) => void) | undefined;
        class?: string | undefined;
    };
    events: {
        change: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type CodeMirrorProps = typeof __propDef.props;
export declare type CodeMirrorEvents = typeof __propDef.events;
export declare type CodeMirrorSlots = typeof __propDef.slots;
export default class CodeMirror extends SvelteComponentTyped<CodeMirrorProps, CodeMirrorEvents, CodeMirrorSlots> {
    get forceUpdateValue(): (value: string) => void;
}
export {};
